Status: Resolved Priority: Should have
Author: Andreas Förthner Category: Persistence
Updated: 2011-09-07 Due date:
Sprint:
PHP Version:
Has patch:
Complexity:
Subject: Entities lying in the session should be lazy loaded
Description

This can be done be (de)serializing only lazy loading proxies instead of the original object.

Associated revisions
Revision 6c490dec - 2011-09-06 11:23 - Andreas Förthner

[TASK] Enable lazy loading for session entities

By this, persisted entities that are referenced
in the session are (de)serialized as lazy loading
proxies. This is a huge performance gain compared
to serializing the original entities.

Change-Id: I996b221dc82187f117b00223e5373e080dca7593
Resolves: #29506

History
#1 - 2011-09-06 11:24 - Mr. Hudson
- Status changed from New to Under Review

Patch set 4 of change I996b221dc82187f117b00223e5373e080dca7593 has been pushed to the review server.
It is available at http://review.typo3.org/2779

#2 - 2011-09-07 12:37 - Andreas Förthner
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:6c490dec7bdd261a867dabd58bf855bebdbb25b4.
